<% /*
    $Revision$
    $Id$

    File:           model_prs_dienst.inc

    Description:    Vanuit CodeCharge gegenereerd model voor prs_dienst

    Context:

    Notes:
*/
%>
<%

function model_prs_dienst()
{
    this.table = "prs_dienst";
    this.primary = "prs_dienst_key";
    this.records_name = "prs_diensts";
    this.record_name = "prs_dienst";
    this.autfunction = "WEB_PRSMSU";
    this.record_title = L("prs_dienst");
    this.records_title = L("prs_dienst_m");


    this.fields = {
        "id": {
            "dbs": "prs_dienst_key",
            "label": "Key",
            "typ": "key",
            "required": true,
            "filter": "exact",
            "seq": "prs_s_prs_dienst_key"
        },
        "name": {
            "dbs": "prs_dienst_omschrijving",
            "label": L("prs_dienst_omschrijving"),
            "typ": "varchar",
            "translate": true,
            "required": true,
            "filter": "like"
        }
    };


    this.REST_GET    = generic_REST_GET(this);
    this.REST_POST   = generic_REST_POST(this);
    this.REST_PUT    = generic_REST_PUT(this);
    this.REST_DELETE = generic_REST_DELETE(this, {});
}
%>